SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   EMC AlphaStor Vendors:   EMC
EMC AlphaStor Stack Overflows in Server Agent Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1020115
SecurityTracker URL:  http://securitytracker.com/id/1020115
CVE Reference:   CVE-2008-2158   (Links to External Site)
Date:  May 27 2008
Impact:   Execution of arbitrary code via network, Root access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.1 SP1; possibly other versions
Description:   A vulnerability was reported in EMC AlphaStor in the Server Agent. A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted data to TCP port 41025 to trigger a stack overflow and execute arbitrary code on the target system. On Windows-based systems, the code will run with System privileges.

Windows is affected. Other operating systems were not tested.

Several buffer overflows exist.

The vendor was notified on April 16, 2008.

Stephen Fewer of Harmony Security reported some of these vulnerabilities via iDefense. Sean Larsson of iDefense Labs reported some of these vulnerabilities.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a fix, as described in knowledgebase article emc186391, available at:

http://powerlink.emc.com/

Vendor URL:  www.emc.com/products/detail/software/alphastor.htm (Links to External Site)
Cause:   Boundary error
Underlying OS:   Linux (Red Hat Enterprise), UNIX (AIX), UNIX (HP/UX), UNIX (SGI/IRIX), UNIX (Solaris - SunOS), UNIX (Tru64), Windows (2000), Windows (2003)

Message History:   None.


 Source Message Contents

Date:  Tue, 27 May 2008 17:45:24 -0400
Subject:  iDefense Security Advisory 05.27.08: EMC AlphaStor Server Agent

iDefense Security Advisory 05.27.08
http://labs.idefense.com/intelligence/vulnerabilities/
May 27, 2008

I. BACKGROUND

AlphaStor is a suite of applications used for disk management. For more
information, please see the vendor's website at the following URL.

http://www.emc.com/products/detail/software/alphastor.htm

II. DESCRIPTION

Remote exploitation of multiple stack based buffer overflow
vulnerabilities in EMC Corp.'s AlphaStor could allow an attacker to
execute arbitrary code with SYSTEM privileges.

AlphaStor consists of multiple applications, one of which is the Server
Agent. The Server Agent is one of the core components of AlphaStor, and
is used to initiate disk management requests. The Agent consists of
several processes, one of which is the AlphaStor Command Line Interface
process. This process listens on TCP port 41025, and is prone to
multiple stack based buffer overflow vulnerabilities.

III. ANALYSIS

Exploitation of these vulnerabilities results in the execution of
arbitrary code with the privileges of the affected service, usually
SYSTEM. The vulnerabilities occur before any authentication, so they
can be exploited by anonymous attackers with the ability to create a
TCP connection to port 41025 on the server.

IV. DETECTION

iDefense has confirmed the existence of these vulnerabilities in
AlphaStor version 3.1 SP1 for Windows. Previous versions, as well as
versions for other platforms, may also be affected.

V. WORKAROUND

iDefense is currently unaware of any workarounds for these issues.

VI. VENDOR RESPONSE

"EMC has issued updates to correct this issue. More details can be found
in knowledgebase article emc186391 available from powerlink.emc.com. EMC
customers can further contact EMC Software Technical Support at
1-877-534-2867."

VII. CVE INFORMATION

The Common Vulnerabilities and Exposures (CVE) project has assigned the
name CVE-2008-2158 to this issue. This is a candidate for inclusion in
the CVE list (http://cve.mitre.org/), which standardizes names for
security problems.

VIII. DISCLOSURE TIMELINE

04/16/2008  Initial vendor notification
04/16/2008  Initial vendor response
05/27/2008  Coordinated public disclosure

IX. CREDIT

Three of these vulnerabilities were reported to iDefense by Stephen
Fewer of Harmony Security (www.harmonysecurity.com). Two were
discovered by Sean Larsson, iDefense Labs.

Get paid for vulnerability research
http://labs.idefense.com/methodology/vulnerability/vcp.php

Free tools, research and upcoming events
http://labs.idefense.com/

X. LEGAL NOTICES

Copyright  2008 iDefense, Inc.

Permission is granted for the redistribution of this alert
electronically. It may not be edited in any way without the express
written consent of iDefense. If you wish to reprint the whole or any
part of this alert in any other medium other than electronically,
please e-mail customerservice@idefense.com for permission.

Disclaimer: The information in the advisory is believed to be accurate
at the time of publishing based on currently available information. Use
of the information constitutes acceptance for use in an AS IS condition.
 There are no warranties with regard to this information. Neither the
author nor the publisher accepts any liability for any direct,
indirect, or consequential loss or damage arising from use of, or
reliance on, this information.
_______________________________________________
To unsubscribe, go here:
http://www.idefense.com/mailman/listinfo/idlabs-advisories


 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC